REM ---------------------------------------------------------------------
REM
REM Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
REM                        pour la Santé)
REM Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
REM
REM  This software is governed by the CeCILL-B license under French law and 
REM  abiding by the rules of distribution of free software. You can  use, 
REM  modify and/ or redistribute the software under the terms of the CeCILL-B 
REM  license as circulated by CEA, CNRS and INRIA at the following URL 
REM  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
REM  or in the file LICENSE.txt.
REM
REM  As a counterpart to the access to the source code and  rights to copy,
REM  modify and redistribute granted by the license, users are provided only
REM  with a limited warranty  and the software's author,  the holder of the
REM  economic rights,  and the successive licensors  have only  limited
REM  liability. 
REM
REM  The fact that you are presently reading this means that you have had
REM  knowledge of the CeCILL-B license and that you accept its terms.
REM ------------------------------------------------------------------------  

@echo off

echo setting variables

set creasource=crea
set bbtksource=bbtk
set creamaracassource=creaMaracasVisu
set creavtksource=creaVtk
set creaenvironmentsource=creaEnvironment
set creabrukersource=creaBruker
set creaimagesource=creaImageIO
set creacontourssource=creaContours
set crearigidregistrationssource=creaRigidRegistration
set bbtkgeditorsource=bbtkGEditor
set creatoolssource=creaTools
set creaminitoolssource=creaMiniTools

set baseFolder=%scriptsFolder%\base
set creadll=%creatoolsGeneration%\creatools_%buildtype%%platforme%\creatools_bin\%creasource%Bin\%buildtype%
set PATH=%creadll%;%PATH%
set bbtkdll=%creatoolsGeneration%\creatools_%buildtype%%platforme%\creatools_bin\%bbtksource%Bin\%buildtype%
set PATH=%bbtkdll%;%PATH%
set creamaracasdll=%creatoolsGeneration%\creatools_%buildtype%%platforme%\creatools_bin\%creamaracassource%Bin\%buildtype%
set PATH=%creamaracasdll%;%PATH%
set creavtkdll=%creatoolsGeneration%\creatools_%buildtype%%platforme%\creatools_bin\%creavtkssource%Bin\%buildtype%
set PATH=%creavtkdll%;%PATH%
set creaenvironmentdll=%creatoolsGeneration%\creatools_%buildtype%%platforme%\creatools_bin\%creaenvironmentsource%Bin\%buildtype%
set PATH=%creaenvironmentdll%;%PATH%
set creabrukerdll=%creatoolsGeneration%\creatools_%buildtype%%platforme%\creatools_bin\%creabrukersource%Bin\%buildtype%
set PATH=%creabrukerdll%;%PATH%
set creaimagedll=%creatoolsGeneration%\creatools_%buildtype%%platforme%\creatools_bin\%creaimagesource%Bin\%buildtype%
set PATH=%creaimagedll%;%PATH%
set creacontourdll=%creatoolsGeneration%\creatools_%buildtype%%platforme%\creatools_bin\%creacontourssource%Bin\%buildtype%
set PATH=%creacontoursdll%;%PATH%
set crearigidregistrationdll=%creatoolsGeneration%\creatools_%buildtype%%platforme%\creatools_bin\%crearigidregistrationssource%Bin\%buildtype%
set PATH=%crearigidregistrationdll%;%PATH%
set bbtkgeditordll=%creatoolsGeneration%\creatools_%buildtype%%platforme%\creatools_bin\%bbtkgeditorsource%Bin\%buildtype%
set PATH=%bbtkgeditordll%;%PATH%
set creaminitoolsdll=%creatoolsGeneration%\creatools_%buildtype%%platforme%\creatools_bin\%creaminitoolssource%Bin\%buildtype%
set PATH=%creaminitoolsdll%;%PATH%
set creatoolsdll=%creatoolsGeneration%\creatools_%buildtype%%platforme%\creatools_bin\%creatoolssource%Bin\%buildtype%
set PATH=%creatoolssdll%;%PATH%

echo End setting variables

